package com.dhtmlx.connector;

import java.security.Key;
import java.sql.ResultSet;
import java.sql.ResultSetMetaData;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.HashMap;

public class OracleConnectorResultSet extends ConnectorResultSet {

	public OracleConnectorResultSet(ResultSet external_result, Statement st) {
		super(external_result, st);
	}

	@Override
	public HashMap<String, String> get_next()
			throws ConnectorOperationException {

		try {
			if (result!=null){
				HashMap<String,String> data = new HashMap<String,String>();
					
				ResultSetMetaData rd = result.getMetaData();
				int max = rd.getColumnCount();
				
				for (int i=1; i<=max; i++){
					data.put(rd.getColumnLabel(i), result.getString(i));
					data.put(rd.getColumnLabel(i).toLowerCase(), result.getString(i));
				}
				
				if (!result.next()){
					result.close();
					result = null;
				} 
				
				return data;
			}
			return null;
			
		} catch (SQLException e) {
			throw new ConnectorOperationException(e.getMessage());
		}
	}
	
}
